Skip to main content
GET
/
tiktok
/
audience
cURL
curl -X GET "https://apiv3.creatordb.app/tiktok/audience?uniqueId=davidbeckham" \
  -H "Content-Type: application/json" \
  -H "api-key: <YOUR_API-KEY_HERE>"
{
  "data": {
    "audienceLocations": [
      {
        "country": "USA",
        "share": 0.7795
      },
      {
        "country": "GBR",
        "share": 0.0716
      },
      {
        "country": "CAN",
        "share": 0.0433
      }
    ],
    "audienceGender": {
      "maleRatio": 0.5833,
      "femaleRatio": 0.4167
    },
    "audienceAvgAge": 35,
    "audienceAgeBreakdown": [
      {
        "ageRange": "13-17",
        "share": 0.0328
      },
      {
        "ageRange": "18-24",
        "share": 0.2022
      },
      {
        "ageRange": "25-34",
        "share": 0.2988
      },
      {
        "ageRange": "35-44",
        "share": 0.2585
      },
      {
        "ageRange": "45-54",
        "share": 0.1274
      },
      {
        "ageRange": "55-64",
        "share": 0.0532
      },
      {
        "ageRange": "65+",
        "share": 0.0271
      }
    ]
  },
  "quotaUsed": 1,
  "quotaUsedTotal": 1,
  "remainingQuota": -1,
  "traceId": "fd5e5b27302d80f119671196c628e094",
  "timestamp": 1767924063347,
  "errorCode": "",
  "errorDescription": "",
  "success": true
}

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Query Parameters

uniqueId
string
required

TikTok account ID. Accepts tiktok or @tiktok (@ is automatically stripped).

Required string length: 1 - 101
Pattern: ^@?[a-zA-Z0-9._-]+$
Example:

"tiktok"

Response

TikTok audience demographic data returned successfully.

data
object
required

Returned audience demographic data of the specified TikTok account.

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on March 20, 2026